Summary: 	The GNU Image Manipulation Program
Name: 		gimp
Version: 	2.3.10
Release: 	2
Copyright: 	GPL, LGPL
Group: 		Graphics
URL: 		http://www.gimp.org/
Source0: 	%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gimp.org/pub/gimp/help/gimp-help-2.4.1.tar.bz2
Source2:        %{name}.desktop
Source3:	gimp-splash.png
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  perl perl-ExtUtils-F77 perl-Inline perl-Parse-RecDescent perl-PDL
BuildRequires:  gtk2-devel intltool-devel GConf-devel ORBit2-devel gnome-mime-data docbook-dtds sgml-common
BuildRequires:  gnome-vfs-devel libIDL-devel libbonobo-devel libcroco-devel openjade OpenSP-devel docbook-utils
BuildRequires:  libglade2-devel libgsf-devel librsvg-devel libgtkhtml-devel libwmf-devel fontconfig-devel sgml-tools
%define		_sysconfdir	/etc/X11
%define		ver0	2.0
%define         ver1    2.3
%define		ver2	2.3.10

%description
Remember to run: buildDocBookCatalog; after installing all the
required dockbook utils or the gimp html docs will fail to build.

cvs -z3 -d:pserver:anonymous@anoncvs.gimp.org:/cvs/gnome co gimp

The GIMP (GNU Image Manipulation Program) is a powerful image
composition and editing program, which can be extremely useful for
creating logos and other graphics for Web pages.  The GIMP has many of
the tools and filters you would expect to find in similar commercial
offerings, and some interesting extras as well. The GIMP provides a
large image manipulation toolbox, including channel operations and
layers, effects, sub-pixel imaging and anti-aliasing, and conversions,
all with multi-level undo. Install the GIMP if you need a powerful image
manipulation program.

%package 	devel
Summary: 	GIMP plugin and extension development kit
Group: 		Development

%description 	devel
The gimp-devel package contains the static libraries and header files
for writing GNU Image Manipulation Program (GIMP) plug-ins and
extensions.

Install gimp-devel if you're going to create plug-ins and/or
extensions for the GIMP.  You'll also need to install gimp-data-extras.

%prep
%setup -q -a 1
cp %{SOURCE3} data/images

%build
#autoreconf -i -f
configure \
    --prefix=/usr \
    --sysconfdir=/etc/X11 \
    --enable-gtk-doc \
    --enable-python \
    --disable-print \
    --disable-mmx \
    --disable-sse \
    --disable-nls \
    --without-included-gettext
make
cd gimp-help*; ALL_LINGUAS="en" configure --disable-network; make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
make -C gimp-help* DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/usr/share/man $RPM_BUILD_ROOT/usr/
#rm $RPM_BUILD_ROOT/usr/man/man1/gimp-console-2.3.1.gz
cd $RPM_BUILD_ROOT/usr/bin; ln -sf gimp-%ver1 gimp
cd $RPM_BUILD_ROOT/usr/bin; ln -sf gimp-remote-%ver1 gimp-remote
cd $RPM_BUILD_ROOT/usr/bin; ln -sf gimptool-%ver0 gimptool
#cd $RPM_BUILD_ROOT/usr/man/man1; ln -sf gimp-2.3.1.gz gimp.1.gz
#ln -sf gimp-remote-2.3.1.gz gimp-remote.1.gz
#ln -sf gimptool-2.0.1.gz gimptool.1.gz
#cd $RPM_BUILD_ROOT/usr/man/man5; ln -sf gimprc-2.3.5.gz gimprc.5.gz
#rm $RPM_BUILD_ROOT/etc/X11/gimp/%ver0/sessionrc
rm -R $RPM_BUILD_ROOT/usr/share/gtk-doc
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Graphics
cp %{SOURCE2} $RPM_BUILD_ROOT/usr/share/peanut/apps/Graphics

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc
/usr/bin
/usr/lib/*.so
/usr/lib/*.so.*
/usr/lib/*.la
/usr/lib/gimp/%ver0
/usr/man
/usr/share/gimp
#/usr/share/gtk-doc
/usr/share/locale
/usr/share/peanut
/usr/share/mime-info
/usr/share/application-registry

%files devel
%defattr(-,root,root)
/usr/include
/usr/lib/pkgconfig
/usr/share/aclocal
